package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcSettle;

/**
 * cmc结算审批Service接口
 * 
 * @author cmc
 * @date 2024-04-29
 */
public interface ICmcSettleService 
{
    /**
     * 查询cmc结算审批
     * 
     * @param settleId cmc结算审批主键
     * @return cmc结算审批
     */
    public CmcSettle selectCmcSettleBySettleId(String settleId);

    /**
     * 查询cmc结算审批列表
     * 
     * @param cmcSettle cmc结算审批
     * @return cmc结算审批集合
     */
    public List<CmcSettle> selectCmcSettleList(CmcSettle cmcSettle);

    /**
     * 新增cmc结算审批
     * 
     * @param cmcSettle cmc结算审批
     * @return 结果
     */
    public int insertCmcSettle(CmcSettle cmcSettle);

    /**
     * 修改cmc结算审批
     * 
     * @param cmcSettle cmc结算审批
     * @return 结果
     */
    public int updateCmcSettle(CmcSettle cmcSettle);

    /**
     * 批量删除cmc结算审批
     * 
     * @param settleIds 需要删除的cmc结算审批主键集合
     * @return 结果
     */
    public int deleteCmcSettleBySettleIds(String[] settleIds);

    /**
     * 删除cmc结算审批信息
     * 
     * @param settleId cmc结算审批主键
     * @return 结果
     */
    public int deleteCmcSettleBySettleId(String settleId);
}
